Subject: Pine lockfile (again)

From: Michael Abbott <[email-masked]>
Date: Mon, 3 Mar 2003 16:59:48 +0000 (GMT)

The following mail was posted to the pine discussion list (and is copied
again; sorry folks) regarding a problem that arises when installing pine
from ports on FreeBSD (from port mail/pine4).

The responses from the discussion list can be categorised into two types:
1.  Running pine SGID (as suggested in my patch) is a *bad* idea --
    Mats Dufberg <[email-masked]>;
2.  RedHat has no problem with the spool set to "0775 root:mail" --
    Mike A. Harris <[email-masked]>

So, the question remains, but perhaps it is a pine/FreeBSD interaction
problem?

Basically: is pine's complaint on startup a red herring?  If not, what's
going on?  Can anyone lay claim to this issue?

(I've never yet had a response when mailing a port maintainer, but here's
hoping.)

---------- Forwarded message ----------
Date: Mon, 17 Feb 2003 08:47:14 +0000 (GMT)
From: Michael Abbott <[email-masked]>
To: Pine Discussion Forum <[email-masked]>
Subject: Pine lockfile

I've just upgraded pine to 4.53 (on FreeBSD, using ports) and have been
reminded of a problem that required some investigation last time I
installed pine.  I don't really understand why this problem *still*
arises.

When installed, pine complains on startup thus:

	Folder vulnerable - directory /var/mail must have 1777 protection

This is telling me that my mail folder should be wide open.  I understand
that this is because pine wishes to place a lock file in this directory.
Leaving this folder wide open does not seem a good idea, and after some
investigation I came up with the following approach:

	# chmod +t /var/mail
	# chown :mail /usr/local/bin/pine
	# chown g+s /usr/local/bin/pine

The mail user only seems to own the mail folder, so it seems to make a lot
of sense to give pine exclusive write access to this folder.

Can anyone comment on:
1.  What's wrong with this approach;
2.  If there's nothing wrong with it, why isn't it done?
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------